Resent-Date: Wed, 28 Apr 1999 10:16:36 +0200 (MET DST)
To: Michael Schmitz <MSchmitz@lbl.gov>
Cc: Jes Sorensen <Jes.Sorensen@cern.ch>,
        Linux/m68k Mailing List <linux-m68k@lists.linux-m68k.org>
Subject: Re: 2.2.6
References: <199904231758.TAA62202@rsplus04.cern.ch> <19990424145207.C2337@quango.watervalley.net> <19990425183054.A5089@localhost.watervalley.net> <19990425174828.B20693@schmitzm> <d37lqzalqc.fsf@rsplus04.cern.ch> <37249EE1.45867BE2@lbl.gov>
X-Yow: I haven't been married in over six years, but we had sexual counseling
 every day from Oral Roberts!!
From: Andreas Schwab <schwab@issan.cs.uni-dortmund.de>
Date: 28 Apr 1999 10:15:00 +0200
In-Reply-To: Michael Schmitz's message of "Mon, 26 Apr 1999 10:14:09 -0700"
Resent-From: linux-m68k@phil.uni-sb.de

Michael Schmitz <MSchmitz@lbl.gov> writes:

|> Jes Sorensen wrote:
|> > Michael> My guess is it was changed from m68k_register_serial to
|> > Michael> register_serial for a reason? It's consistent in all serial
|> > Michael> drivers, at least.
|> > 
|> > Actually it is the other way round, this was part of Richard's Q40
|> > patch and I kinda liked the approach as I want the current m68k serial
|> > drivers to go away.
|> 
|> Sorry for crediting you with the idea :-) Any guess on why it fails with
|> modules? And I've not tested if the Atari serials get rearranged that
|> way either. (I think that's one of the things m68k_register_serial does
|> different, right?)

Use this patch:

--- linux/arch/m68k/kernel/m68k_ksyms.c.~1~	Wed Feb 24 20:48:04 1999
+++ linux/arch/m68k/kernel/m68k_ksyms.c	Mon Apr 26 23:50:26 1999
@@ -18,6 +18,7 @@
 #include <asm/checksum.h>
 #include <asm/hardirq.h>
 #include <asm/softirq.h>
+#include <asm/m68kserial.h>
 
 asmlinkage long long __ashrdi3 (long long, int);
 extern char m68k_debug_device[];
@@ -54,6 +55,8 @@
 EXPORT_SYMBOL(disable_irq);
 EXPORT_SYMBOL(kernel_set_cachemode);
 EXPORT_SYMBOL(kernel_thread);
+EXPORT_SYMBOL(register_serial);
+EXPORT_SYMBOL(unregister_serial);
 
 /* Networking helper routines. */
 EXPORT_SYMBOL(csum_partial_copy);

Andreas.

-- 
Andreas Schwab                                      "And now for something
schwab@issan.cs.uni-dortmund.de                      completely different"
schwab@gnu.org

